Holger's Java API

## com.antelmann.net
Interface URLCache.RefreshListener

All Superinterfaces:
  EventListener

Enclosing class:
  URLCache

    public static interface URLCache.RefreshListener

extends EventListener

RefreshListener objects can register with URLCache objects to be notified when the URLCache object is refreshed

See Also:
  `URLCache.addRefreshListener(URLCache.RefreshListener)`, `URLCache.refreshContent()`

Method Summary
`void` `refreshedURLCache(URLCache uc, boolean refreshSuccessful, IOException reasonForFailure)` This method is called when a call to `URLCache.refresh()` completes.

Method Detail

### refreshedURLCache

    void refreshedURLCache(URLCache uc,
                           boolean refreshSuccessful,
                           IOException reasonForFailure)

  This method is called when a call to `URLCache.refresh()` completes. This method is to return quickly as a hold-up here delays the completion of a call to `URLCache.refresh()`! The object monitor of the given URLCache instance is held while this method executes, which blocks further refresh() calls; it does not block access to previously cached data, however.

  Parameters:
    `uc` - The URLCache object that performed the refresh
    `refreshSuccessful` - indicating whether the cache was successfully updated;
    `reasonForFailure` - contains the exception that caused the refresh to fail; is null if update was successful
  See Also:
    `URLCache.refreshContent()`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads